Services allow you to load balance traffic for an Internet-facing service like a webserver by creating multiple instances within the same service. While you can add or remove instances to a service to scale your service, doing this manually makes it hard to react to changes in service load. On the other hand, always keeping a large number of instances running to cope with bursts is not an option either. This is where autoscale comes into play. With autoscale enabled, Unikraft Cloud takes the heavy lifting of constantly monitoring the load of your service and automatically creates or deletes instances as needed.
List Autoscale Configurations
List autoscale configurations for the specified service groups.
query Parameters
uuidThe UUID of the resource.
nameThe name of the resource.
List Autoscale Configurations › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
List Autoscale Configurations › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Create Autoscale Configurations
Create one or more autoscale configurations for the specified service groups.
Create Autoscale Configurations › Request Body
The arguments to use when creating instances.
uuidThe UUID of the resource.
nameThe name of the resource.
min_sizeThe minimum number of instances to keep running.
max_sizeThe maximum number of instances to keep running.
warmup_time_msThe warmup time in milliseconds for new instances.
cooldown_time_msThe cooldown time in milliseconds for the autoscale configuration.
The policies to apply to the autoscale configuration.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
min_sizeThe minimum number of instances to keep running.
max_sizeThe maximum number of instances to keep running.
warmup_time_msThe warmup time in milliseconds for new instances.
cooldown_time_msThe cooldown time in milliseconds for the autoscale configuration.
The arguments to use when creating instances.
The policies to apply to the autoscale configuration.
Create Autoscale Configurations › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Delete Autoscale Configurations
Delete autoscale configurations for the specified service groups.
Delete Autoscale Configurations › Request Body
uuidThe UUID of the resource.
nameThe name of the resource.
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: uuid | |
| type = object · requires: name |
uuidThe UUID of the resource.
nameThe name of the resource.
Delete Autoscale Configurations › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Get Autoscale Configurations by Service Group UUID
Get autoscale configurations for a service group by UUID.
path Parameters
uuidGet Autoscale Configurations by Service Group UUID › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Create Autoscale Configuration by Service Group UUID
Create an autoscale configuration for a service group by UUID.
path Parameters
uuidCreate Autoscale Configuration by Service Group UUID › Request Body
uuidThe UUID of the service to create a configuration for.
The arguments to use when creating instances.
min_sizeThe minimum number of instances to keep running.
max_sizeThe maximum number of instances to keep running.
warmup_time_msThe warmup time in milliseconds for new instances.
cooldown_time_msThe cooldown time in milliseconds for the autoscale configuration.
The policies to apply to the autoscale configuration.
Create Autoscale Configuration by Service Group UUID › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Delete Autoscale Configurations by Service Group UUID
Delete the autoscale configuration for a service group by UUID.
path Parameters
uuidDelete Autoscale Configurations by Service Group UUID › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
List Autoscale Configuration Policies
List autoscale policies for a service group by UUID.
path Parameters
uuidList Autoscale Configuration Policies › Request Body optional
nameThe Name of the policy to get.
List Autoscale Configuration Policies › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Create Autoscale Configuration Policy
Add a new autoscale policy to a service group by UUID.
path Parameters
uuidCreate Autoscale Configuration Policy › Request Body
nameThe name of the policy.
The policy type to add to the autoscale configuration.
Create Autoscale Configuration Policy › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Delete Autoscale Configuration Policies
Delete autoscale policies for a service group by UUID.
path Parameters
uuidDelete Autoscale Configuration Policies › Request Body
nameThe name of the policy to delete.
Delete Autoscale Configuration Policies › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Get Autoscale Configuration Policy by Name
Get an autoscale policy by name for a service group by UUID.
path Parameters
uuidnameGet Autoscale Configuration Policy by Name › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.
Delete Autoscale Configuration Policy by Name
Delete an autoscale policy by name for a service group by UUID.
path Parameters
uuidnameDelete Autoscale Configuration Policy by Name › Responses
The request has succeeded.
statusThe status of the response.
The response data for this request.
op_time_usThe operation time in microseconds.
messageAn optional message providing additional information about the status.
A list of errors which may have occurred during the request.